Bug 335461 - kpdf and kview lost custom zoom
kpdf and kview lost custom zoom
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks: F8Target
  Show dependency treegraph
Reported: 2007-10-16 18:20 EDT by Alexei Podtelezhnikov
Modified: 2007-12-09 21:55 EST (History)
2 users (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-31 21:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 150944 None None None Never

  None (edit)
Description Alexei Podtelezhnikov 2007-10-16 18:20:57 EDT
kview zoom is acting up. Yes, I can zoom in as much as I need clicking (+). I 
actually needed to get to 3200%, which is not available in the pull down menu. 
This is not a problem per se. The problem is that I used to be able to just 
type 3200 and press enter in FC6 and now I can't.

The problem was observed in kdegraphics-3.5.8-2.fc8 and in F8T3.

I would like a more arbitrary zoom in kview back. There is no custom zoom 
presently, whereas it works in Fedora Core 6 somehow. I guess, a patch got 
dropped or a library regressed.
Comment 1 Alexei Podtelezhnikov 2007-10-19 12:25:37 EDT
kpdf is not friends with custom zoom either - updating the title.
Comment 2 Rex Dieter 2007-10-19 12:35:12 EDT
Possibly a kde-3.5.8 bug/regression.  Please take the issue upstream to
bugs.kde.org, and we can/will track the issue there.
Comment 3 Alexei Podtelezhnikov 2007-10-19 14:02:43 EDT
Comment 4 Alexei Podtelezhnikov 2007-10-22 20:36:12 EDT
A patch has landed upstream.

Comment 5 Ngo Than 2007-10-23 04:38:41 EDT
it's now committed in fedora cvs branch. It will be fixed in next kdelibs 
rebuild. Thanks
Comment 6 Alexei Podtelezhnikov 2007-10-25 09:23:20 EDT
The aforementioned fix hasn't turned up in rawhide in the last two days and I
didn't find the fix committed to kdelibs package on cvs.fedoraproject.org. I am
worried that F8 will be shipped with a huge regression in kpdf, kview, and

The regression in KSelectAction is now the top regression listed in 3.5.8 info
page. So this is a pretty much official patch I am asking to include in the release.

Comment 7 Rex Dieter 2007-10-25 09:33:45 EDT
It was comitted to the F-8 branch.  I'll take a look, and make sure this gets
into f8-final.
Comment 8 Alexei Podtelezhnikov 2007-10-31 21:20:33 EDT
the fix is in
Comment 9 Alexei Podtelezhnikov 2007-12-09 21:55:46 EST
it's a pitty. this bug resurfaced in FC6-updates right before it expired. :(

Note You need to log in before you can comment on or make changes to this bug.